Welcome to the CrackBerry Forums Create Your Account or Ask a Question Answers in 5 minutes - no registration required!
Results 1 to 14 of 14
  1. harrison0550's Avatar
    CrackBerry Abuser

    Posts
    178 Posts
    Thread AuthorThread Author   #1  

    Default Jailbreaking & Unlocking iOS 4 : What You Should Know

    Today, as expected, Apple released iOS 4 to the public. But before you get too excited, there are some things you should know before updating to iOS 4. If you want to play Jailbreak with your iDevice, make sure you read through this.

    iOS 4 is compatible with the 3G, 3GS, the newest iPod Touch and iPhone 4. Those of you that have played with the GM release, the build number on this public release is exactly the same; 8A293. So as for changes since the GM there are none in this release.


    Jailbreaking

    Wizdaz has kept the community in the know, informing us that PwnageTool is currently being updated as we speak. PwnageTool 4.0 will support the iPhone 3G (with Pwnage exploit), iPhone 3GS and iPod Touch 2G (both with 24kPwn exploit). Keep in mind this means no support for the newer bootom. Remember the tethered days? If that was you, then you will need to wait until Spirit is updated or a new tool is updated for such.

    There is of course the Redsn0w option if you have a 3G, but stay away from any custom packages. The Dev-Team has written it well, and because of their credibility, here is exactly what they say

    Quote:
    We are working hard on a release to our tools that will jailbreak your device (or give you iOS 4 via the jailbreak train) and provide you with a carrier unlock.

    Until these tools are released you should hold off on updating your device until we have fully tested our tools with all the relevant devices.

    If you rely on hacktivation or a carrier unlock (ultrasn0w) then you should not upgrade until we have fully tested and released our tools.

    Don’t be tempted with unofficial PwnageTool/redsn0w bundles or releases, just check here or our team twitter for real time release information.

    Remember, we risk our devices so you don’t have to (but this time anyone who has made a mistake upgrading their baseband firmware at 3.1.3 or 4.0 should be OK real soon Now!
    iPhone Dev-Team
    WizDaz


    Unlocking iOS 4

    The iPhone Dev Team has released ultrasn0w 0.93 for unlocking your new iOS 4. Simply add the Cydia repo: repo666.ultrasn0w.com. This version of ultrasn0w will unlock basebands 04.26.08 thru 05.13.04. If your unsure, that means that ultrasn0w unlocks ALL basebands since iPhone OS 3.1. Even more specifically, 04.26.08, 05.11.07, 05.15.01, and 05.13.04. Remember to disable 3G on T-Mobile USA.



    So on the unlocking front, you're pretty much golden. However it's still recommend to wait just a little bit longer before making the plunge for iOS 4.

    As always I will post a full step by step guide for jailbreak and unlock when a solid jailbreak is released.
  2. shalea#IM's Avatar
    CrackBerry Abuser

    Posts
    379 Posts
    Global Posts
    380 Global Posts
    PIN
    Friendly chat - NO LOVE CONNECTIONS!!
    #2  

    Default

    Thanks so much. I am a newb. Can you also post the links for the 3rd party softward neede to jailbreak the device. I'm working w/the iPod Touch 3g OS4.
  3. scorpiodsu's Avatar
    CrackBerry Genius

    Posts
    4,133 Posts
    Global Posts
    5,147 Global Posts
    PIN
    LPG5ULJQ - Live profile (try it!)
    #3  

    Default

    How do you know if you have the old or new bootrom?
    Mobile Devices: Nexus 5 32GB Black
    Carrier: AT&T
    Computer: MacBook Pro (2012) 8GB RAM, 750GB HDD
    Other devices: iPad Mini
  4. youtalk's Avatar
    CrackBerry User

    Posts
    12 Posts
    #4  

    Default

    Can the lastest version of 3.1... be unlocked for T-Mobile?
  5. harrison0550's Avatar
    CrackBerry Abuser

    Posts
    178 Posts
    Thread AuthorThread Author   #5  

    Default

    Quote Originally Posted by scorpiodsu View Post
    How do you know if you have the old or new bootrom?
    are you needing to know your bootrom or your baseband?
    bootrom can be found by downloading f0recast (works with both Mac and Windows), launch it and connect your iPhone 3GS and it’ll tell you all you need to know
    download link:
    Mac:f0recast-1.1-Mac.zip
    PC: f0recast-1.1.exe

    .baseband can be found under settings>general>about


    Quote Originally Posted by youtalk View Post
    Can the lastest version of 3.1... be unlocked for T-Mobile?
    Yes 3.1.3's guide is here http://forums.crackberry.com/f99/gui...-1-2-a-462984/ and 3.1.2's guide is here http://forums.crackberry.com/f99/gui...rmware-441303/
  6. youtalk's Avatar
    CrackBerry User

    Posts
    12 Posts
    #6  

    Default

    Does anyone have the step by step process to unlock 5.13.04 os 4 on 3GS?? (Please give the De De deee version)

    I have T-Mobile, and need to get this iPhone setup.
  7. Miz.Michele's Avatar
    CrackBerry Addict

    Posts
    700 Posts
    #7  

    Default

    Hi Thanks I am going to read them.

    I am a blackberry user and know how to upgrade the berrys. I am getting a iphone 16g 3g (not sure if it's S) from someone who went to iphone 4 and since I am on TMO, I have been devouring all the posts. Before I could tell him NOT to upgrade, he let me know that he is cleaning it all up and upgrade to OS4...lol so the info really helps.
    Please support my new site
    Chellie’s World™

    E-mail
  8. Miz.Michele's Avatar
    CrackBerry Addict

    Posts
    700 Posts
    #8  

    Default

    Each time I try to get the f0recast-1.1.exe , it just says your download is starting and sit's there....how come?
    Please support my new site
    Chellie’s World™

    E-mail
  9. harrison0550's Avatar
    CrackBerry Abuser

    Posts
    178 Posts
    Thread AuthorThread Author   #9  

    Default

    Quote Originally Posted by Miz.Michele View Post
    Each time I try to get the f0recast-1.1.exe , it just says your download is starting and sit's there....how come?
    It doesnt like you No seriously are you clicking on the right link for your particular operating system? I just tried both links and they both work fine for me.
  10. Miz.Michele's Avatar
    CrackBerry Addict

    Posts
    700 Posts
    #10  

    Default

    Thanks. It would not work in firefox, tried IE and it downloads but won't open...might be my firewall, I am going to try again..grr
    Please support my new site
    Chellie’s World™

    E-mail
  11. devGOD's Avatar
    CrackBerry Addict

    Posts
    605 Posts
    Global Posts
    606 Global Posts
    PIN
    <- see avatar
    #11  

    Default

    will this unlock Iphone4 or just the older models?
  12. Miz.Michele's Avatar
    CrackBerry Addict

    Posts
    700 Posts
    #12  

    Default

    I was just trying to use it to tell me what I have on my phone...baseline and that stuff. Don't know about 1phone, I've got 3Gs OS4and the "official" stuff is not perfected yet.
    Please support my new site
    Chellie’s World™

    E-mail
  13. jcash74's Avatar
    CrackBerry Abuser

    Posts
    247 Posts
    Global Posts
    254 Global Posts
    #13  

    Default

    I got a quick question for you; are the build weeks after 940 still tethered for unlocks and jailbreaks? Thanks for a infpormative thread, and forecast download.
  14. PoShGaL's Avatar
    CrackBerry User

    Posts
    15 Posts
    PIN
    http://twitter.com/JollyUy
    #14  

    Default

    Can u please guide me or post the link on how to jailbreak iPod Touch 3rd gen os4 MC model... quite lost with all the links I've been browsing thru...
    BOLD and BEAUTIFUL
    Bold 9000 OS 4.6 {.292 ~.501} / 5.0.681
    Bold 9700 OS 6.0.448

    < I slept and dreamed that life was Beauty, I woke and found that life was Duty. >


    http://twitter.com/JollyUy

Posting Permissions